libcurl3 vs libcurl4

Support for our DiffMerge utility.

Moderator: SourceGear

Post Reply
harsszegi
Posts: 1
Joined: Fri Jun 01, 2018 2:33 am

libcurl3 vs libcurl4

Post by harsszegi » Fri Jun 01, 2018 2:36 am

Hello,
I'm unable to use diffmerge on latest ubuntu (18.04) as that uses libcurl4 generally, and diffmerge uses libcurl3
which is a bummer.
Any idea how to sort it out?
Thanks,

[I made it work via modifying the binary to look for
libcurl.so.3 instead of libcurl.so.4 just that it seems
to be a bit of a hack]

jclausius
Posts: 3599
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: libcurl3 vs libcurl4

Post by jclausius » Fri Jun 01, 2018 9:22 am

Glad you were able to sort this out.

Did you use the /lib/ld-linux.so.2 --library-path" "PATH_OF_OLDER_LIBRARIES" "DIFFMERGE_BINARY" command line ?
Jeff Clausius
SourceGear

jclausius
Posts: 3599
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: libcurl3 vs libcurl4

Post by jclausius » Fri Aug 17, 2018 11:33 am

I have a build of DiffMerge 4.2.1 that is a beta for Ubuntu 18.04 (64-bit).

If you would like to try it out, and report back your findings, the Ubuntu package can be found at: https://drive.google.com/file/d/1sj_6QH ... sp=sharing
Jeff Clausius
SourceGear

hexfet
Posts: 2
Joined: Fri Aug 24, 2018 1:55 pm

Re: libcurl3 vs libcurl4

Post by hexfet » Fri Aug 24, 2018 2:01 pm

Thanks. This package worked for me on 18.04 LTS.

On startup the following message comes up on the console:

Code: Select all

Gtk-Message: 15:51:48.061: Failed to load module "canberra-gtk-module"
On the interwebs it says to install libcanberra-gtk3-module, but it's already there.

Code: Select all

sudo apt-get install libcanberra-gtk3-module
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libcanberra-gtk3-module is already the newest version (0.30-5ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

jclausius
Posts: 3599
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: libcurl3 vs libcurl4

Post by jclausius » Fri Aug 24, 2018 3:34 pm

You could try "libcanberra-gtk-module" instead of "libcanberra-gtk3-module" to see if that resolves the message.
Jeff Clausius
SourceGear

hexfet
Posts: 2
Joined: Fri Aug 24, 2018 1:55 pm

Re: libcurl3 vs libcurl4

Post by hexfet » Fri Aug 24, 2018 3:40 pm

That got rid of the message. Thanks!

jclausius
Posts: 3599
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
Contact:

Re: libcurl3 vs libcurl4

Post by jclausius » Mon Aug 27, 2018 8:09 am

I'm glad to see the message has gone. Thx for the report back.
Jeff Clausius
SourceGear

Post Reply